# ---------------------------------------------------------------------------
# - t_8003.als                                                              -
# - afnix:odc library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   collection test module
# @author amaury darsch

# ethernix-library
interp:library "afnix-odc"

# create a new collection
const  coo  (afnix:odc:Collection)
assert true (afnix:odc:collection-p coo)

# set the collection name
coo:set-name "planets"
assert "planets" (coo:get-name)

# create and add a table data
const tbl (afnix:odc:Table "data")
coo:add tbl

# fill the table with data
tbl:add-data "Mercury"   4840     "1407:36"
tbl:add-data "Venus"    12400     "5819:51"
tbl:add-data "Earth"    12756     "23:56"
tbl:add-data "Mars"      6800     "24:37"
tbl:add-data "Jupiter" 142800     "9:50"
tbl:add-data "Saturn"  120800     "10:14"
tbl:add-data "Uranus"   47600     "10:49"
tbl:add-data "Neptune"  44600     "15:40"
tbl:add-data "Pluto"     5850     "153:17"
tbl:add-data "Sedna"     1800     "960:00"
