// ---------------------------------------------------------------------------
// - Axocalls.hpp                                                            -
// - afnix object collection - command calls definition                      -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2005 amaury darsch                                   -
// ---------------------------------------------------------------------------

#ifndef  AFNIX_AXOCALLS_HPP
#define  AFNIX_AXOCALLS_HPP

#ifndef  AFNIX_OBJECT_HPP
#include "Object.hpp"
#endif
 
namespace afnix {  
  Object* axo_new    (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_open   (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_save   (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_info   (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_sort   (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_tinfo  (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_create (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_import (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_export (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_select (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_insert (Runnable* robj, Nameset* nset, Cons* args);
  Object* axo_tblrpt (Runnable* robj, Nameset* nset, Cons* args);
}

#endif
